157 matches found
CVE-2026-48962
Resumen Una vulnerabilidad de inyección en eval en File::GlobMapper::getFiles permite a cualquier atacante que pueda controlar el argumento fileglob de salida pasado a IO::Compress::Gzip::gzip, IO::Compress::Zip::zip, o cualquier función relacionada, ejecutar código Perl arbitrario en el contexto...
Rocky Linux 9 [CIQ] Security Update: perl-IO-Compress (crlsa-2026_30859)
The Rocky Linux 9 host has a package installed that is affected by a vulnerability as referenced in the CIQ crlsa-202630859 advisory. perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob CVE-2026-48962 Tenable has extracted the preceding description blo...
Rocky Linux 8 [CIQ] Security Update: perl / perl-Algorithm-Diff / perl-Archive-Zip / etc Multiple Vulnerabilities (crlsa-2026_30851)
The Rocky Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the CIQ crlsa-202630851 advisory. perl-archive-tar: perl-archive-tar: Path traversal via crafted symlinks allows arbitrary file access CVE-2026-42496 perl-IO-Compress: perl-IO-Compress:...
AlmaLinux 9.2 [TuxCare] Security Update: perl-IO-Compress / perl-IO-Compress-tests (ALMALINUX9.2:CLSA-2026:1782898054)
The AlmaLinux 9.2 host has packages installed that are affected by a vulnerability as referenced in the TuxCare ALMALINUX9.2:CLSA-2026:1782898054 advisory. - IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob...
EulerOS Virtualization 2.10.1 : perl-IO-Compress (EulerOS-SA-2026-3847)
According to the versions of the perl-IO-Compress packages installed, the EulerOS Virtualization installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled...
EulerOS Virtualization 2.10.0 : perl-IO-Compress (EulerOS-SA-2026-3881)
According to the versions of the perl-IO-Compress packages installed, the EulerOS Virtualization installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled...
EulerOS Virtualization 2.12.1 : perl-IO-Compress (EulerOS-SA-2026-3607)
According to the versions of the perl-IO-Compress package installed, the EulerOS Virtualization installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled outp...
EulerOS Virtualization 2.12.0 : perl-IO-Compress (EulerOS-SA-2026-3661)
According to the versions of the perl-IO-Compress package installed, the EulerOS Virtualization installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled outp...
EulerOS 2.0 SP10 : perl-IO-Compress (EulerOS-SA-2026-3712)
According to the versions of the perl-IO-Compress packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob...
EulerOS 2.0 SP10 : perl-IO-Compress (EulerOS-SA-2026-3759)
According to the versions of the perl-IO-Compress packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob...
EulerOS 2.0 SP15 : perl-IO-Compress (EulerOS-SA-2026-3814)
According to the versions of the perl-IO-Compress packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob.x000D...
EulerOS 2.0 SP15 : perl-IO-Compress (EulerOS-SA-2026-3789)
According to the versions of the perl-IO-Compress packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob.x000D...
Astra Linux – Vulnerability in libio-compress-perl
IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob. The parseOutputGlob function wraps the output glob string provided by the caller within double quotes and stores it in the parser state. Then, the getFiles function...
EulerOS 2.0 SP12 : perl-IO-Compress (EulerOS-SA-2026-3370)
According to the versions of the perl-IO-Compress packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob...
EulerOS 2.0 SP12 : perl-IO-Compress (EulerOS-SA-2026-3295)
According to the versions of the perl-IO-Compress packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities : IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob...
Oracle Linux 8 : perl:5.32 (ELSA-2026-48225)
The remote Oracle Linux 8 host has packages installed that are affected by a vulnerability as referenced in the ELSA-2026-48225 advisory. - Fix CVE-2025-40909 - Clone dirhandles without fchdir perl-Algorithm-Diff - Fix CVE-2026-9538: Denial of Service via crafted tar header with large entry size...
Important: Red Hat Security Advisory: perl:5.32 security update
An update for the perl:5.32 module is now available for Red Hat Enterprise Linux 8.8 Update Services for SAP Solutions and Red Hat Enterprise Linux 8.8 Telecommunications Update Service. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerabilit...
RHEL 8 : perl:5.32 (RHSA-2026:50262)
The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2026:50262 advisory. Perl is a high-level programming language that is commonly used for system administration utilities and web programming. Security Fixes:...
K000162691: Perl IO::Compress vulnerability CVE-2026-48962
Security Advisory Description IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob. parseOutputGlob wraps the caller-supplied output glob string in double quotes and stores it in the parser state; getFiles then runs the...
RLSA-2026:30858 Important: perl-IO-Compress security update
This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 i.e. gzip and zip files/buffers. The following modules used to be distributed...